Bug 220718 - devel/simgear: fails to build with boost 1.65
Summary: devel/simgear: fails to build with boost 1.65
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ganael LAPLANCHE
URL: https://github.com/boostorg/admin/iss...
Keywords: needs-patch
Depends on:
Blocks: 220714
  Show dependency treegraph
 
Reported: 2017-07-14 00:17 UTC by Jan Beich
Modified: 2017-07-20 11:24 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (martymac)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-07-14 00:17:14 UTC
In file included from simgear/scene/material/Effect.cxx:21:
simgear/scene/material/Effect.hxx:22:10: fatal error: 'boost/tr1/unordered_map.hpp' file not found
#include <boost/tr1/unordered_map.hpp>
         ^
1 error generated.

http://sprunge.us/NWbT
Comment 1 Ganael LAPLANCHE freebsd_committer 2017-07-14 21:41:48 UTC
Hi Jan,

Thanks for reporting that issue. Is there a way to reproduce that problem ? Can you provide an early version of the port v1.65 ?
Comment 2 Jan Beich freebsd_committer 2017-07-14 21:58:11 UTC
See bug 220714 which has a link to the patch and see bug 220715 for an example fix.
Comment 3 commit-hook freebsd_committer 2017-07-17 12:25:48 UTC
A commit references this bug:

Author: martymac
Date: Mon Jul 17 12:25:10 UTC 2017
New revision: 446068
URL: https://svnweb.freebsd.org/changeset/ports/446068

Log:
  Remove tr1 dependency to prepare for Boost 1.65

  PR:		220718
  Submitted by:	jbeich

Changes:
  head/devel/simgear/Makefile
  head/devel/simgear/files/patch-BOOST-simgear-scene-material-Effect.cxx
  head/devel/simgear/files/patch-BOOST-simgear-scene-material-Effect.hxx
Comment 4 Ganael LAPLANCHE freebsd_committer 2017-07-17 12:30:09 UTC
Fix committed, thanks!
(I hope the patch won't break build on non i386 / amd64 archs)
Comment 5 Jan Beich freebsd_committer 2017-07-20 11:24:02 UTC
Don't you need to add USES=compiler:c++11-lib when using C++11 headers/features? powerpc*, sparc64 and mips* are still using old GCC/libstdc++ in base. USES=compiler:c++11-lib implies USE_GCC on those architectures, so you can drop explicit USE_GCC in simgear/Makefile.

Unrelatedly, BROKEN_powerpc64 can probably be fixed by adding -D_GLIBCXX_USE_C99 to CXXFLAGS per bug 193528.